CC = clang
CFLAGS = -Wall -std=c99 -ggdb
LIBS = -lm -lOpenCL

helloworld: main.o
	$(CC) $(CFLAGS) main.o -o helloworld $(LIBS)

main.o: main.c 
	$(CC) -c $(CFLAGS) main.c

clean:
	rm -f helloworld main.o

